<?php

add_action( 'init' , 'creative_construction_services' );
function creative_construction_services(){

	Kirki::add_section( 'creative_construction_services_section', array(
        'title'   => esc_html__( 'Services', 'creative-construction' ),
        'section' => 'homepage'
    ) );

    Kirki::add_field( 'bizberg', [
		'type'        => 'checkbox',
		'settings'    => 'services_section_status',
		'label'       => esc_html__( 'Enable Services', 'creative-construction' ),
		'section'     => 'creative_construction_services_section',
		'default'     => false
	] );

	Kirki::add_field( 'bizberg', [
		'type'        => 'text',
		'settings'    => 'services_section_subtitle',
		'label'       => esc_html__( 'Sub Title', 'creative-construction' ),
		'section'     => 'creative_construction_services_section',
		'default'     => esc_html__( 'Awesome Features', 'creative-construction' ),
		'active_callback' => [
			[
				'setting'  => 'services_section_status',
				'operator' => '==',
				'value'    => true,
			]
		],
	] );

	Kirki::add_field( 'bizberg', [
		'type'        => 'text',
		'settings'    => 'services_section_title',
		'label'       => esc_html__( 'Title', 'creative-construction' ),
		'section'     => 'creative_construction_services_section',
		'default'     => esc_html__( 'Most Featured Equipment', 'creative-construction' ),
		'active_callback' => [
			[
				'setting'  => 'services_section_status',
				'operator' => '==',
				'value'    => true,
			]
		],
	] );

	Kirki::add_field( 'bizberg', array(
	    'type'        => 'advanced-repeater',
	    'label'       => esc_html__( 'Services', 'creative-construction' ),
	    'section'     => 'creative_construction_services_section',
	    'settings'    => 'creative_construction_services_repeater',
	    'choices' => [
	    	'limit' => 3,
	        'button_label' => esc_html__( 'Add Services', 'creative-construction' ),
	        'row_label' => [
	            'value' => esc_html__( 'Services', 'creative-construction' ),
	        ],
	        'fields' => [
	            'icon'  => [
	                'type'        => 'fontawesome',
	                'label'       => esc_html__( 'Icon', 'creative-construction' ),
	                'default'     => 'fab fa-accusoft',
	                'choices'     => bizberg_get_fontawesome_options(),
	            ],
	            'page_id' => [
	                'type'        => 'select',
	                'label'       => esc_html__( 'Page', 'creative-construction' ),
	                'choices'     => bizberg_get_all_pages()
	            ],
	        ]
	    ],
	    'active_callback' => [
			[
				'setting'  => 'services_section_status',
				'operator' => '==',
				'value'    => true,
			]
		],
	) );

}