<?php 

add_action( 'bizberg_before_homepage_blog', 'creative_construction_homepage_services' );
function creative_construction_homepage_services(){ 

    $status   = bizberg_get_theme_mod( 'services_section_status' );

    $title    = bizberg_get_theme_mod( 'services_section_title' );
    $subtitle = bizberg_get_theme_mod( 'services_section_subtitle' );
    $words    = explode(' ', $subtitle);
    $html     = '<span>' . ( !empty( $words[0] ) ? $words[0] : '' ) . '</span> ' . implode(" ", array_slice($words,1));

    if( empty( $status ) ){
        return;
    } 

    $services = bizberg_get_theme_mod( 'creative_construction_services_repeater' );
    $services = json_decode( $services, true );
    ?>

	<div class="services_wrapper">

		<div class="container">
		
			<div class="title_wrapper">
                <?php 
                if( !empty( $subtitle ) ){ ?>
				    <h3><?php echo wp_kses_post( $html ); ?></h3>
                    <?php 
                } ?>
				<h2><?php echo esc_html( $title ); ?></h2>
			</div>

			<div class="row">

                <?php 
                if( !empty( $services ) ){

                    foreach( $services as $value ){ 

                        $icon    = !empty( $value['icon'] ) ? $value['icon'] : ''; 
                        $page_id = !empty( $value['page_id'] ) ? $value['page_id'] : '';

                        $page_obj = get_post( $page_id ); ?>
                        
                        <div class="col-lg-4 col-md-6 col-sm-12">
                            <div class="features-item features-item-one mb-40">
                                <div class="icon">
                                    <i class="<?php echo esc_attr( $icon ); ?>"></i>
                                </div>
                                <div class="content">
                                    <h4><?php echo esc_html( sanitize_text_field( $page_obj->post_title ) ); ?></h4>
                                    <p><?php echo esc_html( wp_trim_words( sanitize_text_field( $page_obj->post_content ), 20, ' [...]' ) ); ?></p>
                                </div>
                            </div>
                        </div>

                        <?php 
                    }

                } ?>

            </div>

		</div>

	</div>

	<?php
}