<?php 

add_action( 'bizberg_before_homepage_blog', 'creative_construction_homepage_categories' );
function creative_construction_homepage_categories(){ 

    $status   = bizberg_get_theme_mod( 'testimonials_section_status' );
    $title    = bizberg_get_theme_mod( 'creative_construction_title' );

    $subtitle = bizberg_get_theme_mod( 'creative_construction_subtitle' );
    $words    = explode(' ', $subtitle);
    $html     = '<span>' . ( !empty( $words[0] ) ? $words[0] : '' ) . '</span> ' . implode(" ", array_slice($words,1));

    if( empty($status) ){
        return;
    } 

    $testimonials = bizberg_get_theme_mod( 'creative_construction_testimonials' );
    $testimonials = json_decode( $testimonials, true ); ?>

	<div class="testimonials_wrapper">
		
		<div class="container">
			
			<div class="title_wrapper">
                <?php 
                if( !empty( $subtitle ) ){ ?>
				    <h3><?php echo wp_kses_post( $html ); ?></h3>
                    <?php 
                } ?>
				<h2><?php echo esc_html( $title ); ?></h2>
			</div>

			<div class="row testimonial-slider-one">

                <?php 
                if( !empty( $testimonials ) ){

                    foreach( $testimonials as $value ){

                        $page_id = !empty( $value['page_id'] ) ? $value['page_id'] : '';
                        $page_obj = get_post( $page_id );  ?>

                    	<div class="col-lg-4">
                            <div class="testimonial-item testimonial-item-one">
                                <div class="testimonial-content">
                                    <div class="quote">
                                        <i class="fas fa-quote-left"></i>
                                    </div>
                                    <p><?php echo esc_html( wp_trim_words( sanitize_text_field( $page_obj->post_content ), 25, ' [...]' ) ); ?></p>
                                    <h5><?php echo esc_html( sanitize_text_field( $page_obj->post_title ) ); ?></h5>
                                </div>
                            </div>
                        </div>

                    <?php
                    } 
                }?>

            </div>
		</div>

	</div>

	<?php
}